version: '3'
services:
  php:
    container_name: php_city_bug
    build: ./docker/php
    ports:
      - 9000:9000
    volumes:
      - ./:/var/www
      - composer_volume:/home/php-user/.composer
    depends_on:
      - postgres

  nginx:
    container_name: nginx_city_bug
    image: nginx:latest
    restart: always
    volumes:
      - ./:/var/www
      - ./docker/nginx/config:/etc/nginx/conf.d
      - ./docker/nginx/logs:/var/log/nginx
    depends_on:
      - php
    ports:
      - 80:80
      - 443:443

  postgres:
    image: postgres:latest
    container_name: postgres_city_bug
    volumes:
      - postgres:/var/lib/postgresql/data
    ports:
      - 54320:5432
    environment:
      POSTGRES_USER: root
      POSTGRES_PASSWORD: root
      POSTGRES_DB: city-bug-tracker
      PGDATA: /data/postgres

volumes:
  composer_volume:
  postgres:
